Deep Security Manager REST API

Path: / rest / authentication / login / sso

Authenticate a user, and return a session token for UI Single Sign On.

Note: The session token can be used for UI Single Sign On only within a limited time.


Method Summary
ResourceDescription
POST /rest/authentication/login/ssoAuthenticate a user, and return a session token for UI Single Sign On.

Method Detail
HTTP Example:
POST /rest/authentication/login/sso

API Example:

IAuthenticationAPI.loginSSO({'$entity': /* credentials The credentials to use to authenticate. */});

Authenticate a user, and return a session token for UI Single Sign On.

Note: The session token can be used for UI Single Sign On only within a limited time.

Input:
DSCredentials - The credentials to use to authenticate.
Output:
java.lang.String - SSO session token
Produces:
text/plain
Consumes:
application/xml
application/json

Copyright © 2015 Trend Micro Inc. All Rights Reserved.